aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaúl Porcel <armin76@gentoo.org>2014-12-03 11:03:34 +0000
committerBrian Dolbec <dolsen@gentoo.org>2014-12-07 15:50:35 -0800
commitbd53f3ca5657e822bdd87643450aec06503a9c16 (patch)
treebd323b4ec29193c4c511447fd8ab6eef0f103da3
parentUse -xpf instead of xpf with tar so it doesn't complain about missing option. (diff)
downloadcatalyst-bd53f3ca5657e822bdd87643450aec06503a9c16.tar.gz
catalyst-bd53f3ca5657e822bdd87643450aec06503a9c16.tar.bz2
catalyst-bd53f3ca5657e822bdd87643450aec06503a9c16.zip
modify alpha to use genisoimage
alpha needs to use app-cdr/cdrkit's genisoimage with an alpha-specific option which mkisofs from app-cdr/cdrtools doesn't have
-rwxr-xr-xtargets/support/create-iso.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/targets/support/create-iso.sh b/targets/support/create-iso.sh
index bf81cbae..7454adb0 100755
--- a/targets/support/create-iso.sh
+++ b/targets/support/create-iso.sh
@@ -7,6 +7,9 @@ source ${clst_sharedir}/targets/support/filesystem-functions.sh
# Check for our CD ISO creation tools
case ${clst_hostarch} in
+ alpha)
+ cdmaker="genisoimage"
+ cdmakerpkg="app-cdr/cdrkit"
mips)
cdmaker="sgibootcd"
cdmakerpkg="sys-boot/sgibootcd"
@@ -82,9 +85,8 @@ fi
case ${clst_hostarch} in
alpha)
echo ">> Running mkisofs to create iso image...."
- echo ">> mkisofs -R -l -J ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} ${clst_target_path}"
- mkisofs -R -l -J ${mkisofs_zisofs_opts} -V "${clst_iso_volume_id}" -o ${1} ${clst_target_path} || die "Cannot make ISO image"
- isomarkboot ${1} /boot/bootlx
+ echo ">> genisoimage --alpha-boot=boot/bootlx -R -l -J ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} ${clst_target_path}"
+ genisoimage --alpha-boot=boot/bootlx -R -l -J ${mkisofs_zisofs_opts} -V "${clst_iso_volume_id}" -o ${1} ${clst_target_path} || die "Cannot make ISO image"
;;
arm)
;;